import type { tMapEntityType, TModelStore } from 'src/interfaces';
interface iMapEntityTypesGroup {
    id: number | string;
    entityTypesList: tMapEntityType[];
    label: string;
}
declare class MapModelStore implements TModelStore {
    title: string;
    description: string;
    colors: string[];
    allRectanglesColor: null;
    allRectanglesBorderColor: null;
    mapEntityTypesGroupsList: never[];
    items: never[];
    rectangleTypesList: never[];
    _views: never[];
    currentViewId: string;
    parentStore: null;
    private middlewares;
    constructor(params: object);
    get views(): never[];
    set views(value: never[]);
    get currentView(): never;
    update(data?: {}): void;
    getViewById(viewId: any): undefined;
    createOrUpdateRectangleForView(viewId: any, rectangleData: any, isSilent: any): any;
    deleteRectangleForView(viewId: any, rectangleId: any, isSilent: any): any;
    createOrUpdateConnectorForView(viewId: any, connectorData: any, isSilent: any): any;
    deleteConnectorForView(viewId: any, connectorId: any, isSilent: any): any;
    getEntityTypeById(entityTypeId: any, groupId: any): any;
    createOrUpdateMapEntityType(mapEntityTypeData: any, groupId: any, isSilent: any): {
        entityTypeItem: any;
        isCreated: boolean;
    };
    deleteMapEntityType(mapEntityTypeId: any, groupId: any, isSilent: any): {
        entityTypeItem: {
            id: string;
        };
    };
    createOrUpdateModelItem(modelItemData: any, isSilent: any): {
        modelItem: never;
        isCreated: boolean;
    };
    deleteModelItem(modelItemId: any, isSilent: any): {
        modelItem: never;
    } | undefined;
    createOrUpdateMapEntityForView(viewId: any, mapItemData: any, isSilent: any): any;
    deleteMapEntityForView(viewId: any, mapItemId: any, isSilent: any): any;
    createOrUpdateTextBoxForView(viewId: any, textBoxData: any, isSilent: any): any;
    deleteTextBoxForView(viewId: any, textBoxId: any, isSilent: any): any;
    toJSON(): {
        title: string;
        description: string;
        colors: string[];
        mapEntityTypesGroupsList: never[];
        items: never[];
        views: never[];
        currentViewId: string;
    };
    dispose(): void;
}
export type { iMapEntityTypesGroup };
export default MapModelStore;
